QGIS Application - Bug report #15661
Measurement tool and its inconsistent behaviour
2016-10-04 07:46 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master_2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23584
Description

Measurement tools dialog window appears randomly (and sometimes not so random) when using other tools. Here is an example to
replicate this bug:

1- Open QGIS

2- Add a vector

3- Activate the measurement tool

4- Use the tool to measure length

5- right-click to finish the measurement and close the window
6- Toggle editing your vector

7- Add a new feature in your vector

8- Toggle back editing and save or reject the changes

9- The measurement tool will pop up

QGIS should remember the last state of the tool and not try to reinstate the last active tool before editing.

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 03:51 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
